# Extending graph transformers with quantum computed aggregation

This folder contains all the necessary code to reproduce the results of the section *Experiments* of our paper. You just need to run the following script in the folder `qgnn` 

``
sh cli_script.sh
``
You also need to unzip the folder datasets (it contains the QM9 dataset).
For help, or if you wish to change the parameters of the script depending on your hardware environment (e.g number of processes), the list of parameters can be found at `qgnn/cli.py`.

The main requirements are

- python version 3.8 or higher
- pytorch
- dgl
- wandb
- numpy


We also use the GraphGPS library that can be found at https://github.com/rampasek/GraphGPS

You need to replace the folders `datasets`and `loader` of the original library by the ones provided in the folder `GraphGPS`. There is also the `config` file to be run.

`python main.py --cfg configs/GPS/graphcovers-GPS+RWSE.yaml wandb.use False`